For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
        • GETList Collection Items
        • GETGet Collection Item
        • POSTCreate Collection Item(s)
        • POSTCreate Localized Collection Item(s)
        • PATCHUpdate Single Collection Item
        • PATCHUpdate Collection Item(s)
        • DELDelete Single Collection Item
        • DELDelete Collection Item(s)
        • POSTPublish Collection Item(s)
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
CMSCollection ItemsStaged Items

Delete Collection Item(s)

DELETE
https://api.webflow.com/beta/collections/:collection_id/items
DELETE
/beta/collections/:collection_id/items
$curl -X DELETE https://api.webflow.com/beta/collections/580e63fc8c9a982ac9b8b745/items \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "items": [
> {
> "id": "580e64008c9a982ac9b8b754"
> }
> ]
>}'

Delete Items from a Collection.

Note: If the cmsLocaleId parameter is undefined or empty and the items are localized, items will be deleted only in the primary locale.

Required scope | CMS:write

Was this page helpful?
Previous

Publish Collection Item(s)

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "objectid"
Unique identifier for a Collection

Request

Details of the items to delete
itemslist of objectsRequired

Response

Request was successful

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error